Gramps 5.0.0 release on kubuntu 18.04 problem

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Gramps 5.0.0 release on kubuntu 18.04 problem

Peter Merchant
I installed Gramps 5 on my 32bit Kubuntu 18.04 system and everything
went very smoothly, I was able to restore backups. I did not remove
gramps 4.?.8 before installing.

The problem is that it did not have graphview on it. I installed the
gramplet for that, and then installed graphviz. Now when I start gramps
I get the error message:

Failed loading view

the view Graph View did not load and reported an error

*** No error found, probably an error in gpr.py file ***

Any suggestions for rectifying this.


Thanks again to all the developers and people on the forum who advise 
us all how things can be done nicely.

Cheers,

Peter M.

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 5.0.0 release on kubuntu 18.04 problem

enno
Hello Peter,

> I installed Gramps 5 on my 32bit Kubuntu 18.04 system and everything
> went very smoothly, I was able to restore backups. I did not remove
> gramps 4.?.8 before installing.
>
> The problem is that it did not have graphview on it. I installed the
> gramplet for that, and then installed graphviz. Now when I start gramps
> I get the error message:
>
> Failed loading view
>
> the view Graph View did not load and reported an error
>
> *** No error found, probably an error in gpr.py file ***
>
> Any suggestions for rectifying this.
Not yet. Can you start gramps from terminal, and see if you see any more
errors in that?

Regards,

Enno


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 5.0.0 release on kubuntu 18.04 problem

Michael Blackmore

I don't know if this helps, but recently someone recently posted this fix for that error: run sudo apt-get install gir1.2-goocanvas  


It worked for me when I had the same error.


Michael



From: Enno Borgsteede <[hidden email]>
Sent: Thursday, August 2, 2018 12:06 PM
To: [hidden email]
Subject: Re: [Gramps-users] Gramps 5.0.0 release on kubuntu 18.04 problem
 
Hello Peter,

> I installed Gramps 5 on my 32bit Kubuntu 18.04 system and everything
> went very smoothly, I was able to restore backups. I did not remove
> gramps 4.?.8 before installing.
>
> The problem is that it did not have graphview on it. I installed the
> gramplet for that, and then installed graphviz. Now when I start gramps
> I get the error message:
>
> Failed loading view
>
> the view Graph View did not load and reported an error
>
> *** No error found, probably an error in gpr.py file ***
>
> Any suggestions for rectifying this.
Not yet. Can you start gramps from terminal, and see if you see any more
errors in that?

Regards,

Enno


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! https://nam01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fsdm.link%2Fslashdot&amp;data=02%7C01%7C%7C0e8e6b7193254de5b4e308d5f89220d8%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C636688228846678490&amp;sdata=VJ1t5MhgwUv1bV%2FCtyAnTvl9sGcuVxn64jjsHyQx81w%3D&amp;reserved=0
_______________________________________________
Gramps-users mailing list
[hidden email]
https://nam01.safelinks.protection.outlook.com/?url=https%3A%2F%2Flists.sourceforge.net%2Flists%2Flistinfo%2Fgramps-users&amp;data=02%7C01%7C%7C0e8e6b7193254de5b4e308d5f89220d8%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C636688228846678490&amp;sdata=PvyqSXBbnTk165dCHgkXee%2F7nrwosYqUtGOOB0DHI5U%3D&amp;reserved=0
https://nam01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fgramps-project.org&amp;data=02%7C01%7C%7C0e8e6b7193254de5b4e308d5f89220d8%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C636688228846678490&amp;sdata=eb9ki5cpWwlgobXd4Abh2sI57Q72k3PNfxlC%2F6UuxV8%3D&amp;reserved=0

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 5.0.0 release on kubuntu 18.04 problem

Matt Keenan
Thanks Michael, that just worked for me with Gramps 5.0 on Linux Mint 18.04

cheers

Matt


On 2 August 2018 at 17:10, Michael Blackmore <[hidden email]> wrote:

I don't know if this helps, but recently someone recently posted this fix for that error: run sudo apt-get install gir1.2-goocanvas  


It worked for me when I had the same error.


Michael



From: Enno Borgsteede <[hidden email]>
Sent: Thursday, August 2, 2018 12:06 PM
To: [hidden email]
Subject: Re: [Gramps-users] Gramps 5.0.0 release on kubuntu 18.04 problem
 
Hello Peter,

> I installed Gramps 5 on my 32bit Kubuntu 18.04 system and everything
> went very smoothly, I was able to restore backups. I did not remove
> gramps 4.?.8 before installing.
>
> The problem is that it did not have graphview on it. I installed the
> gramplet for that, and then installed graphviz. Now when I start gramps
> I get the error message:
>
> Failed loading view
>
> the view Graph View did not load and reported an error
>
> *** No error found, probably an error in gpr.py file ***
>
> Any suggestions for rectifying this.
Not yet. Can you start gramps from terminal, and see if you see any more
errors in that?

Regards,

Enno


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! https://nam01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fsdm.link%2Fslashdot&amp;data=02%7C01%7C%7C0e8e6b7193254de5b4e308d5f89220d8%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C636688228846678490&amp;sdata=VJ1t5MhgwUv1bV%2FCtyAnTvl9sGcuVxn64jjsHyQx81w%3D&amp;reserved=0
_______________________________________________
Gramps-users mailing list
[hidden email]
https://nam01.safelinks.protection.outlook.com/?url=https%3A%2F%2Flists.sourceforge.net%2Flists%2Flistinfo%2Fgramps-users&amp;data=02%7C01%7C%7C0e8e6b7193254de5b4e308d5f89220d8%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C636688228846678490&amp;sdata=PvyqSXBbnTk165dCHgkXee%2F7nrwosYqUtGOOB0DHI5U%3D&amp;reserved=0
https://nam01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fgramps-project.org&amp;data=02%7C01%7C%7C0e8e6b7193254de5b4e308d5f89220d8%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C636688228846678490&amp;sdata=eb9ki5cpWwlgobXd4Abh2sI57Q72k3PNfxlC%2F6UuxV8%3D&amp;reserved=0

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 5.0.0 release on kubuntu 18.04 problem

Peter Merchant
In reply to this post by Michael Blackmore
Sorry I had already done this, but had errors and tried sudo apt-get install gir1.2-goocanvas --fix-missing

THAT WAS Yesterday.

I  have just done it again and installed ok.

It is now OK. I see a new symbol for graphview too- Great!

Cheers all.

On 02/08/18 17:10, Michael Blackmore wrote:

I don't know if this helps, but recently someone recently posted this fix for that error: run sudo apt-get install gir1.2-goocanvas  


It worked for me when I had the same error.


Michael



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org